
From: Andi Kleen <ak@suse.de>

Add NUMA API system calls on x86-64


---

 25-akpm/include/asm-x86_64/unistd.h |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff -puN include/asm-x86_64/unistd.h~numa-api-x86_64 include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~numa-api-x86_64	Wed Apr  7 12:16:05 2004
+++ 25-akpm/include/asm-x86_64/unistd.h	Wed Apr  7 12:16:05 2004
@@ -532,10 +532,14 @@ __SYSCALL(__NR_tgkill, sys_tgkill)
 __SYSCALL(__NR_utimes, sys_utimes)
 #define __NR_vserver		236
 __SYSCALL(__NR_vserver, sys_ni_syscall)
+#define __NR_mbind 237
+__SYSCALL(__NR_mbind, sys_mbind)
+#define __NR_set_mempolicy 238
+__SYSCALL(__NR_set_mempolicy, sys_set_mempolicy)
+#define __NR_get_mempolicy 239
+__SYSCALL(__NR_get_mempolicy, sys_get_mempolicy)
 
-/* 237,238,239 reserved for NUMA API */
-
-#define __NR_syscall_max __NR_vserver
+#define __NR_syscall_max __NR_get_mempolicy
 #ifndef __NO_STUBS
 
 /* user-visible error numbers are in the range -1 - -4095 */

_
